-- Name: DatabaseSize
-- Schema: posda_files
-- Columns: ['Name', 'Owner', 'Size']
-- Args: []
-- Tags: ['postgres_status']
-- Description: Show active queries for a database
-- Works for PostgreSQL 9.4.5 (Current Mac)
-- 

SELECT d.datname AS Name,  pg_catalog.pg_get_userbyid(d.datdba) AS Owner,
    CASE WHEN pg_catalog.has_database_privilege(d.datname, 'CONNECT')
        THEN pg_catalog.pg_size_pretty(pg_catalog.pg_database_size(d.datname))
        ELSE 'No Access'
    END AS SIZE
FROM pg_catalog.pg_database d
    ORDER BY
    CASE WHEN pg_catalog.has_database_privilege(d.datname, 'CONNECT')
        THEN pg_catalog.pg_database_size(d.datname)
        ELSE NULL
    END DESC -- nulls first
    LIMIT 20;
